:root {
    --eletric-pink: #F00592;
    --darker-pink: #60023A;
    --pearl-blue: #7CC5CB;
    --bootstrap-purple: #8312FA;
    --tensorflow-orange: #FF6F00;
    font-size: 16px;
}

@media (max-width:576px) {
    :root {
        font-size: 14px;
    }
}

/*---- Simple animation to load something ----*/
@keyframes fadeInPage {
  from { opacity: 0.2; }
  to { opacity: 1; }
}

body {
    display: block;
    height: 100vh;
    width: 100vw;
    animation: fadeInPage 0.5s  ease-out forwards;
}

ul {
    list-style-type: square;
}

p {
    margin: 0;
    padding: 0;
}

/*---- Bootstrap=styled pink and purple ----*/
.text-pink {
    color: var(--eletric-pink) !important;
    border-color: var(--eletric-pink);
}

.text-purple {
    color: var(--bootstrap-purple) !important;
    border-color: var(--bootstrap-purple);
}

.text-orange {
    color: var(--tensorflow-orange) !important;
    border: var(--tensorflow-orange);
}

.text-pink-subtle {
    color: var(--darker-pink) !important;
    border-color: var(--darker-pink);
}

.bg-pink {
    background-color: var(--eletric-pink) !important;
}

.bg-pink-subtle {
    background-color: var(--darker-pink);
}

.border-pink {
    border-color: var(--eletric-pink) !important;
}

.border-pink-subtle {
    border-color: var(--darker-pink) !important;
}

/*---- Navbar editing ----*/
.navbar, .navbar-nav a {
    display: flex;
}

.navbar-nav a {
    border-bottom: 1px solid ;
    border-color: black;
}

.navbar-nav a:hover {
    border-color: inherit;
    transition: border-color 0.3s ease-out;
}

@media (max-width: 576px) {
    .navbar-nav a, .dropdown button{
        font-size: 1.2rem !important;
    }

    .dropdown button {
        display: flex;
        align-items: center;
        padding: 0.1rem;
    }
}

/*---- Footer rules ----*/
footer p {
    font-size: 0.75rem;
}

/*-- Hover rule on footer icons --*/
footer a:hover {
    padding-bottom: 0.1rem;
    border-bottom: 1px solid white;
}

/*---- Fixing the Dropdown Menu Background on Hover ----*/
.dropdown-menu a:hover {
    background-color: var(--bs-dark);
}

.dropdown-menu {
    background-color: var(--bs-black);
    border: 1px solid var(--bs-light);
}

/*---- Experience section accordion ----*/
.accordion-button, .accordion-header {
    border: none;
    box-shadow: none;
    background-color: inherit;
}

.accordion-button {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.accordion-button:not(.collapsed) {
    color: var(--bs-white);
    background-color: var(--darker-pink);
    font-weight: bold;
}

/*--Year of experience that appears when clicked--*/

.accordion-subtitle {
    margin: 0;
    padding: 0 0 0 0.4rem;
    display: block;
    color: var(--darker-pink);
}

.accordion-button:not(.collapsed) .accordion-subtitle {
    color: var(--bs-white);
    font-weight: lighter;
    transition: color 0.5s ease-out   ;
}

/*--Techstack description configuration--*/
.techstack {
    font-size: 0.8rem;
    opacity: 90%;
    font-style: italic;
}

/*--Configuration of accordion-body links--*/
.accordion-body a {
    color: var(--bs-warning);
    text-decoration: none;
    font-weight: bolder;
}

/*-- Accordion arrow color --*/
.experience .accordion-button::after {
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%2360023A'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>");
}

.experience .accordion-button.accordion-button:not(.collapsed)::after {
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%2360023A'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>");
}

.experience .accordion-header, .experience .accordion-item, .experience .accordion-body, .experience .accordion-button{
    border: none;
    box-shadow: none;
}

/*--Accordion line on left side --*/
.accordion-button, .accordion-button:not(.collapsed), .accordion-body {
    border-left: 2px solid var(--bs-white) !important;
    position: relative;
}

/*-- Decorative white circle on each button --*/
.accordion-button::before {
    content: "";
    position: absolute;
    left: -0.4rem;   /* Adjust horizontal position */
    top: 50%;       /* Center vertically */
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    background-color: white;
    border-radius: 50%;
    transition: width 0.3s ease-out, height 0.3s ease-out, left 0.3s ease-out;
}

.accordion-button:not(.collapsed)::before {
    width: 14px;
    height: 14px;
    left: -0.5rem;
}

/*--Button animation on mobile--*/
@media (max-width: 800px) {

    .accordion-button::before {
        left: -0.35rem;
    }

    .accordion-button:not(.collapsed)::before {
        width: 14px;
        height: 14px;
        left: -0.45rem;
    }
}



/*---- Carousel configuration ----*/
.carousel-control-prev, .carousel-control-next {
  top: auto;
  bottom: 20px;
}

.carousel-item a {
    text-decoration: none;
    color: var(--eletric-pink);
}
